using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using System.Collections;
using System.Text.RegularExpressions;
using System.Text;

namespace UUN
{
    /// <summary>
    /// 编译Club/User_Set.aspx文件
    /// </summary>
    public class 编译扩展_Club_User_Set : 编译扩展接口
    {
        private SqlConnection 连接;
        private HttpContext HC;
        private 编译器 编译器;

        public 编译扩展_Club_User_Set(SqlConnection 连接, HttpContext HC, 编译器 编译器)
        {
            this.连接 = 连接;
            this.HC = HC;
            this.编译器 = 编译器;
        }



        #region 编译扩展接口 成员

        public string 开始执行代码()
        {
            return @"
		访问.验证会员();
		String 随机值=常用.随机字符(8);
";
        }

        public string 编译公共标签(string 代码)
        {
            switch (代码)
            {
                case "随机值":
                    return @"
		返回值.Append(随机值);
";
                case "一页显示记录数":
                    return @"
		返回值.Append(访问.用户[""一页显示记录数""]);
";
                case "一页显示文字数":
                    return @"
		返回值.Append(访问.用户[""一页显示文字数""]);
";
                case "一页显示图片数":
                    return @"
		返回值.Append(访问.用户[""一页显示图片数""]);
";
                case "一页显示文件数":
                    return @"
		返回值.Append(访问.用户[""一页显示文件数""]);
";
                default:
                    return "";
            }
        }

        public string 编译模板方法(string 方法名称, string[] 属性数组)
        {
            return "";
        }

        public string 结束执行代码()
        {
            return "";
        }

        #endregion
    }
}